2.3.0 Compatibility

Help
2013-08-08
2014-01-29
  • Stefan Liebig

    Stefan Liebig - 2013-08-08

    Hi,

    We are currently using 2.2.8 in production and would like to update to 2.3.0 because hierarchical do now work.
    Are there any concerns or known issues of incompatibility? E.g. regarding the storage format of the db files (we are using cached tables), ..

    Thank you,
    Stefan

     
  • Stefan Liebig

    Stefan Liebig - 2013-08-08

    Forgot a word:   "hierarchical" should be " hierarchical queries"

    still no "edit" button :-(

     
  • Fred Toussi

    Fred Toussi - 2013-08-08

    There is no change in storage format.

    There shouldn't be any problems as we fixed the regressions that were reported with 2.2.9 and many other bugs. See the Bug Tracker for the ( recent ) open bugs and check if they might apply to your usage.

     
  • Stefan Liebig

    Stefan Liebig - 2013-08-08

    Thanks Fred!

     
  • Fred Toussi

    Fred Toussi - 2013-11-22

    The reported issue with rollback is currently being fixed. You can wait until the next point release, due in two weeks.

     
    • Stefan Liebig

      Stefan Liebig - 2014-01-29

      When will the next Version (2.3.2) be released? Do you have any idea?

       
  • Stefan Liebig

    Stefan Liebig - 2013-11-22

    That's great!

    Will this next release be compatible with the format of 2.2.8 and 2.3.0?

     
  • Fred Toussi

    Fred Toussi - 2013-11-26

    Rollback issue fixed in the latest snapshot jar. You can also try the compatibility with this jar.

     
  • Stefan Liebig

    Stefan Liebig - 2013-11-27

    Yes, seems to be fixed. I tried a few 2.3.0 database files and no compatibility problems so far.

    (Version used: hsqldb-20131126.133916-56.jar)

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks